DEFINT A-Z

REM     get the command line
	cline$ = COMMAND$ + " "
	i = 0
	WHILE cline$ <> ""
	p = INSTR(cline$, " ")
	Arg$(i) = RTRIM$(LEFT$(cline$, p))
	cline$ = RIGHT$(cline$, (LEN(cline$) - p))
	i = i + 1
	WEND

IF Arg$(0) = "" THEN
	CLS
	PRINT
	PRINT "PCBDD - PCBoard DIR.LST dumper, Version 1.0"
	PRINT "Freeware, Copyright (C) 1999, Michael W. Cocke"
	PRINT
	PRINT "Syntax:"
	PRINT "PCBDD infile"
	PRINT
	PRINT "Infile = Drive, path, and filename to your PCBoard DIR.LST file."
	CLOSE : END
END IF

Infile$ = Arg$(0)
Outfile$ = "dirlst.o"

	TYPE DirLst
		Dirpath AS STRING * 30
		Dskpath AS STRING * 30
		DirDesc AS STRING * 35
		SortType AS STRING * 1
	END TYPE
	DIM DirRec AS DirLst

	CLS
	OPEN "R", 4, Infile$, 96
	OPEN "O", 1, Outfile$
	Recs = LOF(4) / 96
   
	FOR t = 1 TO Recs
		GET #4, t, DirRec
		PRINT "     "; STR$(t); "           "; DirRec.DirDesc
		PRINT #1, STR$(t); "~"; RTRIM$(DirRec.Dirpath); "~"; RTRIM$(DirRec.Dskpath); "~"; RTRIM$(DirRec.DirDesc)
	NEXT t

CLOSE : END


